diff -ur src.orig/sys/mips/mips/tlb.S src/sys/mips/mips/tlb.S
--- src.orig/sys/mips/mips/tlb.S	2008-03-31 15:55:56.000000000 +0900
+++ src/sys/mips/mips/tlb.S	2008-04-22 09:25:13.000000000 +0900
@@ -239,6 +239,7 @@
 	_MTC0	zero, COP_0_TLB_LO0		# Zero out low entry0.
 	_MTC0	zero, COP_0_TLB_LO1		# Zero out low entry1.
 	mtc0	zero, COP_0_TLB_PG_MASK 	# Zero out mask entry.
+	srl	a0, a0, 1			# assume even number	
 /*
  * Align the starting value (t1) and the upper bound (a0).
  */
@@ -471,7 +472,7 @@
 	mtc0	zero, COP_0_STATUS_REG		# disable interrupts
 
 	_MFC0	t4, COP_0_TLB_HI		# Get current PID
-	move	t2, a0
+	srl	t2, a0, 1			# assume even number
 	mfc0	t1, COP_0_TLB_WIRED
 	li	v0, MIPS_KSEG0_START + 0x0fff0000	# invalid address
 	mfc0	t3, COP_0_TLB_PG_MASK		# save current pgMask